<template>
  <div>
    <div class="grid">
      <div v-for="(myProduct, index) in myProducts" :key="index">
        <MyProductItem class="myproduct" :myProduct="myProduct" />
      </div>
    </div>
  </div>
</template>

<script>
import MyProductItem from './MyProductItem.vue'
import API from '@/API.js'
export default {
  name: 'MyProductsPage',
  components: {
    MyProductItem
  },
  props: {
    idActualUser: String
  },
  data() {
    return {
      myProducts: [],
      intervalId: null
    }
  },

  async mounted() {
    if (this.$route.params.idActualUser !== undefined) {
      let idActualUser = this.$route.params.idActualUser
      this.myProducts = await API.getMyProductsList(idActualUser)
    } else {
      let idActualUser = this.idActualUser
      this.myProducts = await API.getMyProductsList(idActualUser)
    }
    this.intervalId = setInterval(
      API.getMyProductsList(this.idActualUser),
      5000
    )
  },
  methods: {},
  beforeDestroy() {
    clearInterval(this.intervalId)
  }
}
</script>

<style scoped>
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  gap: 1rem;
  place-items: center;
}

.grid > div {
  padding: 1rem;
  display: grid;
  place-items: center;
}
.grid > div::before {
  content: '';
  padding-top: 100%;
  display: block;
  grid-area: 1 / 1 / 2 / 2;
}

/* .grid > div > img {
  width: 100%;
  grid-area: 1 / 1 / 2 / 2;
} */

body {
  margin: 2rem;
}
</style>
